#ifndef _DETAILS_H_
#define _DETAILS_H_ 1

#include <lilo.h>
#include <kdialogbase.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlineedit.h>

class Details:public KDialogBase
{
	Q_OBJECT
public:
	Details(liloimage *lilo, QWidget *parent=0, const char *name=0, WFlags f=0);
	bool isReadOnly() const { return readonly->isChecked(); };
	QString vgaMode() const;
	bool isUnsafe() const { return unsafe->isChecked(); };
	bool isLocked() const { return lock->isChecked(); };
	bool isRestricted() const { return restricted->isChecked(); };
	bool usePassword() const { return use_password->isChecked(); };
	QString Password() const { return password->text(); };
private slots:
	void check_pw();
private:
	liloimage	*l;
	QCheckBox	*readonly;
	QComboBox	*vga;
	QCheckBox	*unsafe;
	QCheckBox	*lock;
	QCheckBox	*restricted;
	QCheckBox	*use_password;
	QLineEdit	*password;
};
#endif
